MS Sculpt Touch Mouse needs to be re-paired periodically

Bug #1094744 reported by Jordy Dickinson on 2012-12-30
158
This bug affects 29 people
Affects Status Importance Assigned to Milestone
GNOME Bluetooth
Fix Released
Medium
blueman (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
bluez (Fedora)
Won't Fix
Medium
bluez (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
gnome-bluetooth (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Medium
Unassigned
Raring
Medium
Unassigned

Bug Description

[Impact] The patch makes Microsoft Wedge/Sculpt Touch mice stay connected.
[Test Case] Get a Microsoft Wedge/Sculpt Touch mouse, pair it, restart session, watch it automatically re-pair.
[Regression Potential] Little. The patched piece of XML is only relevant to hardware having the same ID.

When you don't use the mouse for a long enough time, the mouse disconnects and won't reconnect. I have to go into bluetooth settings, remove it, and re-pair it.

1)
~ % lsb_release -rd
Description: Ubuntu 12.04.1 LTS
Release: 12.04

2)
~ % apt-cache policy bluez
bluez:
  Installed: 4.98-2ubuntu7
  Candidate: 4.98-2ubuntu7
  Version table:
 *** 4.98-2ubuntu7 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

3)
I expected the mouse to reconnect automatically, or at least after I try to reconnect manually through the bluetooth settings.

4)
I have to re-pair the mouse in order to use it again. Turning the mouse off and on doesn't work either.

description: updated
Jordy Dickinson (jordy-d) wrote :

Originally I indicated that the problem occurred after suspend, but now I realize that this isn't true. It depends entirely on how long it's been since you last used the mouse. It can reconnect after a suspend if you resume soon afterwards.

Also, I notice that in the bluetooth settings it indicates that the mouse is not paired when this issue occurs.

summary: - MS Sculpt Touch Mouse needs to be re-paired after suspend
+ MS Sculpt Touch Mouse needs to be re-paired periodically
description: updated
Jordy Dickinson (jordy-d) wrote :

While using the mouse with a Windows 7 computer I noticed that when left idle for a long period of time, the mouse seems to go into some sort of suspend mode. When you attempt to move the mouse while it's like this, it doesn't respond for some time, but soon becomes responsive again. I suspect that this is where the issue is occuring under Ubuntu; the mouse has gone into some low-power mode just like under Windows, but doesn't resume correctly under Ubuntu as it does under Windows.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu):
status: New → Confirmed
Jordy Dickinson (jordy-d) wrote :

I've also filed a bug report against the gnome-bluetooth project, as I'm not sure which project the bug is in: https://bugzilla.gnome.org/show_bug.cgi?id=690927

Tony Barnard (tony-barnard) wrote :

I just bought this same mouse and I am having a similar problem. However I am using Arch Linux with KDE not gnome. I have discovered that you can reconnect without re-pairing. However it is not an automatic process.

You must press the pairing button on the bottom of the mouse until the it goes into pairing mode then on the host you must enter the following command

From a root terminal

# hidd --search

Or from a user terminal

$ sudo hidd --search

The mouse should then reconnect, without root it does not connect I have tried it.

It seems the problem could be to do with permissions. Not sure if this helps get to the root of the problem, but it least it may save unnecessary constant un-pair/re-pair actions until it is resolved.

It also shows the problem is not gnome related and more likely bluez related.

Jordy Dickinson (jordy-d) wrote :

My machine running Ubuntu 12.10 doesn't have an hidd command, however it gave me an idea.

If you press the button on the bottom of the mouse to cause it to go into pairing mode, and then select "Microsoft Sculpt Touch Mouse > Connect" from the bluetooth menu it will re-pair. For those who don't have an additional mouse connected all the time (such as myself) and who are using Unity can press Alt and then type in "connect" and it should show up in the search results. If it doesn't you might try combinations of "Microsoft" and "Connect" or something like that.

When you don't use the mouse for a long enough time, the mouse disconnects and won't reconnect. I have to go into bluetooth settings, remove it, and re-pair it.

This is the same bug as here: https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1094744

I have bluez-4.101-6.fc18.x86_64

How reproducible:
every time

Steps to Reproduce:
1. wait to enter standby
2. exit standby by pressing any key
3. try to move mouse, mouse is disconnected

Expected results:
mouse pointer should move

Additional info:

dmesg output when first connecting:

[25476.140823] hid-generic 0005:045E:077C.000A: unknown main item tag 0x0
[25476.141156] input: Microsoft Sculpt Touch Mouse as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.4/1-1.4:1.0/bluetooth/hci0/hci0:11/input26
[25476.141905] hid-generic 0005:045E:077C.000A: input,hidraw0: BLUETOOTH HID v1.1e Mouse [Microsoft Sculpt Touch Mouse] on 9c:b7:0d:ab:1c:ee

I have observed that the pairing is also lost when a new device is inserted, like a usb stick. Otherwise, the pairing lasts 20 minutes max...

it happens on ubuntu 13.04 64 bits too.

I expected the mouse to reconnect automatically,
so
I have to re-pair the mouse in order to use it again.

Till Kamppeter (till-kamppeter) wrote :

Bug 1158462 is probably the same problem.

Same bug here.

eeep. posted comment too fast.

The computer is an HP xw8600 running Ubuntu 13.04 x64
The mouse is a Microsoft Sculpt Mouse
The bt device is an IOGear GBU521W6

Filipe Xavier (filipeuff) wrote :

I've the same problem Ubuntu 13.04.

Centurix (cenreg) wrote :

Same issue with 13.04. I have resolved this issue by installing Blueman. Initially when using Blueman you get the same issue until you select "Trust" for the mouse after connecting it to the Input Service. From that point I haven't had to re-pair again.

Marcos Alano (mhalano) wrote :

Hello everyone!

today Anton Anikin and me, Marcos Barbosa, work together in the bug #1158462 (https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1158462). Is for Microsoft Wedge Touch mouse, but i think Sculpt Touch is very similar (Bluetooth, Touch technology, BlueTrack, etc.).

The workaround for now to avoid install Blueman is add this simple line:
<device oui="00:00:00:" type="mouse" name="Microsoft Sculpt Touch Mouse" pin="0000"/>
Inside the file /usr/share/gnome-bluetooth/pin-code-database.xml. Please, substitute "00:00:00:" (do not forget the final colon) for the first half of the correct OUI. You can detect using a tool like btscanner.

There's some problems with suspend mode (oficially "Backpack mode") but kernel 3.10 corrects this.

Please someone add the line and execute some tests. Report the results. Next step is test using kernel 3.10.

Best regards.

Rostislav Georgiev (pisaro) wrote :

Hello All,

I'm using Kubuntu 12.04 and neither the Blueman solution, nor selecting the mouse as trusted in BlueDevil worked. Obviously as this is Kubuntu with KDE the solution of Marcos Barbosa is not working too.
However I've managed to get the mouse working like a charm using this article: http://designcreateplay.com/hardware/2013/04/19/persistent-bluetooth-connections-on-ubuntu-12-10

This solution is more distribution agnostic as it works at Bluez level and not at higher level.
Basically you need to put your mouse in discoverable mode and then run the following commands in the console:

hcitool scan
bluez-simple-agent hci0 XX:XX:XX:XX:XX:XX
bluez-test-device trusted XX:XX:XX:XX:XX:XX yes
bluez-test-input connect XX:XX:XX:XX:XX:XX

Where XX:XX:XX:XX:XX:XX is your mouse Bluetooth MAC address as given by hcitool scan.

Best Regards,
Rostislav Georgiev

Very good article!

But how to avoid user to make this steps? I'm look around KDE, because my
solution is ideal for a patch. But sure, is Gnome related.

Best regards.

2013/6/20 Rostislav Georgiev <email address hidden>

> Hello All,
>
> I'm using Kubuntu 12.04 and neither the Blueman solution, nor selecting
> the mouse as trusted in BlueDevil worked. Obviously as this is Kubuntu with
> KDE the solution of Marcos Barbosa is not working too.
> However I've managed to get the mouse working like a charm using this
> article:
> http://designcreateplay.com/hardware/2013/04/19/persistent-bluetooth-connections-on-ubuntu-12-10
>
> This solution is more distribution agnostic as it works at Bluez level and
> not at higher level.
> Basically you need to put your mouse in discoverable mode and then run the
> following commands in the console:
>
> hcitool scan
> bluez-simple-agent hci0 XX:XX:XX:XX:XX:XX
> bluez-test-device trusted XX:XX:XX:XX:XX:XX yes
> bluez-test-input connect XX:XX:XX:XX:XX:XX
>
> Where XX:XX:XX:XX:XX:XX is your mouse Bluetooth MAC address as given by
> hcitool scan.
>
> Best Regards,
> Rostislav Georgiev
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1094744
>
> Title:
> MS Sculpt Touch Mouse needs to be re-paired periodically
>
> Status in “bluez” package in Ubuntu:
> Confirmed
> Status in “bluez” package in Fedora:
> Unknown
>
> Bug description:
> When you don't use the mouse for a long enough time, the mouse
> disconnects and won't reconnect. I have to go into bluetooth settings,
> remove it, and re-pair it.
>
> 1)
> ~ % lsb_release -rd
> Description: Ubuntu 12.04.1 LTS
> Release: 12.04
>
> 2)
> ~ % apt-cache policy bluez
> bluez:
> Installed: 4.98-2ubuntu7
> Candidate: 4.98-2ubuntu7
> Version table:
> *** 4.98-2ubuntu7 0
> 500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> 3)
> I expected the mouse to reconnect automatically, or at least after I try
> to reconnect manually through the bluetooth settings.
>
> 4)
> I have to re-pair the mouse in order to use it again. Turning the mouse
> off and on doesn't work either.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1094744/+subscriptions
>

--
Q: Why is this email five sentences or less?
A: http://five.sentenc.es

Marcos Alano (mhalano) wrote :

Rostislav,

Please look at this file:
/usr/share/kde4/apps/bluedevilwizard/pin-code-database.xml

Is the same function and format the file I mentioned.

Please untrust your device and add the line in this file. Restart your
machine for sure and test if all work and report back.

If work may be someone create a patch.

Best regards.

2013/6/20 Marcos Barbosa <email address hidden>

>
> Very good article!
>
> But how to avoid user to make this steps? I'm look around KDE, because my
> solution is ideal for a patch. But sure, is Gnome related.
>
> Best regards.
>
>
> 2013/6/20 Rostislav Georgiev <email address hidden>
>
>> Hello All,
>>
>> I'm using Kubuntu 12.04 and neither the Blueman solution, nor selecting
>> the mouse as trusted in BlueDevil worked. Obviously as this is Kubuntu with
>> KDE the solution of Marcos Barbosa is not working too.
>> However I've managed to get the mouse working like a charm using this
>> article:
>> http://designcreateplay.com/hardware/2013/04/19/persistent-bluetooth-connections-on-ubuntu-12-10
>>
>> This solution is more distribution agnostic as it works at Bluez level
>> and not at higher level.
>> Basically you need to put your mouse in discoverable mode and then run
>> the following commands in the console:
>>
>> hcitool scan
>> bluez-simple-agent hci0 XX:XX:XX:XX:XX:XX
>> bluez-test-device trusted XX:XX:XX:XX:XX:XX yes
>> bluez-test-input connect XX:XX:XX:XX:XX:XX
>>
>> Where XX:XX:XX:XX:XX:XX is your mouse Bluetooth MAC address as given by
>> hcitool scan.
>>
>> Best Regards,
>> Rostislav Georgiev
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1094744
>>
>> Title:
>> MS Sculpt Touch Mouse needs to be re-paired periodically
>>
>> Status in “bluez” package in Ubuntu:
>> Confirmed
>> Status in “bluez” package in Fedora:
>> Unknown
>>
>> Bug description:
>> When you don't use the mouse for a long enough time, the mouse
>> disconnects and won't reconnect. I have to go into bluetooth settings,
>> remove it, and re-pair it.
>>
>> 1)
>> ~ % lsb_release -rd
>> Description: Ubuntu 12.04.1 LTS
>> Release: 12.04
>>
>> 2)
>> ~ % apt-cache policy bluez
>> bluez:
>> Installed: 4.98-2ubuntu7
>> Candidate: 4.98-2ubuntu7
>> Version table:
>> *** 4.98-2ubuntu7 0
>> 500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64
>> Packages
>> 100 /var/lib/dpkg/status
>>
>> 3)
>> I expected the mouse to reconnect automatically, or at least after I
>> try to reconnect manually through the bluetooth settings.
>>
>> 4)
>> I have to re-pair the mouse in order to use it again. Turning the mouse
>> off and on doesn't work either.
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1094744/+subscriptions
>>
>
>
>
> --
> Q: Why is this email five sentences or less?
> A: http://five.sentenc.es
>
>

--
Q: Why is this email five sentences or less?
A: http://five.sentenc.es

Rostislav Georgiev (pisaro) wrote :

Hello Marcos,

Indeed that file exists and is the same format as your patch. I tried it and it worked.

However, being a professional embedded Linux developer, I had worked quite a bit with Bluez and decided to track the problem in source.
In fact the problem is that the mouse supports only encrypted connection which requires a key. That key normally should be stored in /var/lib/bluetooth/<host-mac>/linkkeys and it is. However it doesn't get loaded after connection is reestablished, because for some reason Bluez doesn't appear to load any keys from that file (only stores them there and deletes them when device is removed).
So Bluez isn't able to communicate with the mouse and attempts to automatically pair (that is why adding the PIN to the pairing agent's default list of PINs works). After pairing Bluez receives the key again and is able to communicate with the mouse until connection is dropped.

As of this moment I'm still debugging it and I don't know if I'll be able to produce patch any time soon. Your solution works for now and as it is single liner you could send your patch to the KDE team to merge it with their tree.

Best Regards,
Rostislav Georgiev

Anthony Wong (anthonywong) wrote :

Hi Marcos,

I added
    <device oui="7C:1E:52:" type="mouse" name="Microsoft Sculpt Touch Mouse" pin="0000"/>
to /usr/share/gnome-bluetooth/pin-code-database.xml, and the mouse works fine ever since I added the line 12 hours ago. The problem is now fixed, thanks.

Anthony Wong (anthonywong) wrote :

FWIW, I am using 3.8.0-23-generic on 12.04.

Anthony Wong (anthonywong) wrote :

The Microsoft Wedge Touch mouse also works with a similar fix, by adding the following line to /usr/share/gnome-bluetooth/pin-code-database.xml:
    <device oui="7C:1E:52:" type="mouse" name="Microsoft Wedge Touch Mouse" pin="0000"/>

Changed in gnome-bluetooth (Ubuntu):
status: New → Confirmed
Changed in gnome-bluetooth:
importance: Unknown → Medium
status: Unknown → Incomplete

I see what I think is the same problem with:

bluez-4.101-8.fc19.x86_64.rpm
kernel 3.9.5-301.fc19.x86_64
Thinkpad Laser Mouse

- [Re-]discover mouse and pair:

Jun 27 18:48:45 gaspode bluetoothd[10091]: bluetoothd[10091]: Discovery session 0x7f898f20a5c0 with :1.453 activated
Jun 27 18:48:45 gaspode bluetoothd[10091]: Discovery session 0x7f898f20a5c0 with :1.453 activated
Jun 27 18:48:47 gaspode bluetoothd[10091]: bluetoothd[10091]: Unknown command complete for opcode 37
Jun 27 18:48:47 gaspode bluetoothd[10091]: Unknown command complete for opcode 37
Jun 27 18:48:50 gaspode bluetoothd[10091]: bluetoothd[10091]: Unknown command complete for opcode 37
Jun 27 18:48:50 gaspode bluetoothd[10091]: Unknown command complete for opcode 37
Jun 27 18:48:54 gaspode bluetoothd[10091]: bluetoothd[10091]: Stopping discovery
Jun 27 18:48:54 gaspode bluetoothd[10091]: Stopping discovery
Jun 27 18:48:56 gaspode kernel: hid-generic 0005:17EF:6038.0006: unknown main item tag 0x0
Jun 27 18:48:56 gaspode kernel: input: ThinkPad Bluetooth Laser Mouse as /devices/pci0000:00/0000:00:1a.1/usb4/4-2/4-2:1.0/bluetooth/hci0/hci0:11/input22
Jun 27 18:48:56 gaspode kernel: hid-generic 0005:17EF:6038.0006: input,hidraw3: BLUETOOTH HID v2.00 Mouse [ThinkPad Bluetooth Laser Mouse] on 00:27:13:96:48:a
Jun 27 18:48:56 gaspode /etc/gdm/Xsession[1422]: ** Message: has_config_widget F0:65:DD:67:A2:B9 HumanInterfaceDeviceService

- After using the mouse for a little, bit, turn it off (hardware switch); then, a little while later:

Jun 27 18:49:35 gaspode kernel: power_supply hid-f0:65:dd:67:a2:b9-battery: driver failed to report `capacity' property: -5
Jun 27 18:49:40 gaspode kernel: power_supply hid-f0:65:dd:67:a2:b9-battery: driver failed to report `capacity' property: -5
Jun 27 18:51:22 gaspode bluetoothd[10091]: bluetoothd[10091]: Adapter /org/bluez/10091/hci0 has been disabled
Jun 27 18:51:22 gaspode bluetoothd[10091]: Adapter /org/bluez/10091/hci0 has been disabled
Jun 27 18:51:22 gaspode bluetoothd[10091]: bluetoothd[10091]: Unregister path: /org/bluez/10091/hci0
Jun 27 18:51:22 gaspode bluetoothd[10091]: Unregister path: /org/bluez/10091/hci0

- Turn mouse back on; Nothing happens (was expecting it to reconnect). The machine is a Thinkpad X200s using a:
Bus 004 Device 009: ID 0a5c:217f Broadcom Corp. BCM2045B (BDC-2.1)
built-in adapter.

Bernd Edler (berndedler) wrote :

I had the same problem with MS Sculpt Bluetooth Mouse under opensuse/KDE. Thanks to your posts I could solve the problem by just manually entering the pin "0000" while establishing the connection. So, there was no "su" action necessary.

i tried to add in /usr/share/gnome-bluetooth/pin-code-database.xml:
    <device oui="7C:1E:52:" type="mouse" name="Microsoft Wedge Touch Mouse" pin="0000"/>

but it cant re-paired sculp mouse in ubuntu 13.04 x64.

Anthony Wong (anthonywong) wrote :

Diego, you can add this line instead:
   <device oui="7C:1E:52:" type="mouse" pin="0000"/>

Thank @Anthony, but i got a similar solution based on your recomendation and recomendation on http://wiki.ubuntu.com/Multitouch/AppleMagicTrackpad

#some parts of this comment are based on http://wiki.ubuntu.com/Multitouch/AppleMagicTrackpad

In a terminal:
1. Install input-tools, to determine the physical (model-specific) and unique device IDs from the output of lsinput
  sudo apt-get install input-tools

2. Create /lib/bluetooth/<physical_ID>/pincodes as the root user (or with sudo):

 # This folder *should* already exist, create it with 'sudo mkdir' if not.
 # You can use TAB to complete, if it's the only Bluetooth device on your system:
 3. cd /lib/bluetooth/<physical_ID>

In my case, i wrote:
cd /lib/bluetooth/74:2F:68:CE:17:57 <-- change for your physical_ID

 4. sudo gedit pincodes
5. Add this line to the new file, save, and exit:
     <unique_ID> 0000

where <physical_ID> is a backslash-escaped physical device ID, like D8\:30\:62\:38\:18\:02, and <unique_ID> is your device's unique ID, both from the output of lsinput.

I applied it and works fine for me, on Ubuntu desktop 13.04 64 bits.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-bluetooth - 3.8.1-2ubuntu2

---------------
gnome-bluetooth (3.8.1-2ubuntu2) saucy; urgency=low

  * debian/patches/99_add_microsoft_mice.patch: add Microsoft Sculpt/Wedge
    mouse (LP: #1094744, LP: #1158462). Thanks, Marcos Barbosa, Anton Anikin
    and Anthony Wong for the patch.
 -- Daniel Holbach <email address hidden> Mon, 05 Aug 2013 10:32:39 +0200

Changed in gnome-bluetooth (Ubuntu):
status: Confirmed → Fix Released

Hello Jordy, or anyone else affected,

Accepted gnome-bluetooth into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-bluetooth/3.6.1-0ubuntu3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

description: updated
Changed in gnome-bluetooth (Ubuntu Raring):
status: New → Triaged
importance: Undecided → Medium
status: Triaged → Fix Committed
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Jordy, or anyone else affected,

Accepted gnome-bluetooth into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-bluetooth/3.6.0-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-bluetooth (Ubuntu Quantal):
status: New → Fix Committed
importance: Undecided → Medium
Changed in gnome-bluetooth (Ubuntu Precise):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Jordy, or anyone else affected,

Accepted gnome-bluetooth into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-bluetooth/3.2.2-0ubuntu5.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Anthony Wong (anthonywong) wrote :

gnome-bluetooth/3.6.1-0ubuntu3.1 in raring-proposed fixed the issue.

tags: added: verification-done-raring
Anthony Wong (anthonywong) wrote :

gnome-bluetooth/3.6.0-0ubuntu1.1 in quantal-proposed fixed the issue.

tags: added: verification-done-quantal
Anthony Wong (anthonywong) wrote :

gnome-bluetooth/3.2.2-0ubuntu5.1 in precise-proposed also fixed the issue.

tags: added: verification-done
removed: verification-needed
Changed in gnome-bluetooth:
status: Incomplete → Fix Released
molecule-eye (niburu1) wrote :

I have a Microsoft Sculpt Comfort Mouse which was having the same problem on Kubuntu 13.10 and Ubuntu Gnome 13.10. The problem doesn't arise on other distros like Fedora 20 (Alpha). Adding the line

<device oui="28:18:78:" type="mouse" name="Microsoft Sculpt Comfort Mouse" pin="0000"/>

to

 /usr/share/kde4/apps/bluedevilwizard/pin-code-database.xml

Did NOT work. However, removing the 'name="Microsoft Sculpt Comfort Mouse"' part did. I.e., adding instead

 <device oui="28:18:78:" type="mouse" pin="0000"/>

fixed my problems. Cheers!

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bluez (Ubuntu Precise):
status: New → Confirmed
Changed in bluez (Ubuntu Quantal):
status: New → Confirmed
Changed in bluez (Ubuntu Raring):
status: New → Confirmed
Henning Sprang (henning) wrote :

I seem to have a similar problem, on saucy.

Should the fix for this problem be included in standard saucy, or do I have to do something special to get it?

If the former, I might have a different, new problem.

Anthony Wong (anthonywong) wrote :

Henning, the fix is already in Saucy. You may have a different problem.

This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be
able to fix it before Fedora 18 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Jens Neumann (jens-neumann) wrote :

Adding <device oui="7C:1E:52:" type="mouse" pin="0000"/>

to /usr/share/gnome-bluetooth/pin-code-database.xml

fixed the problem for me with the Microsoft Sculpt Touch Mouse on Ubuntu 12.04 LTS 32Bit.

Thanks for the help.

TiloBunt (til0) wrote :

it seems that the Sculpt Touch Mouse can only be pair to one computer see here
http://answers.microsoft.com/en-us/windows/forum/windows_7-hardware/pairing-sculpt-comfort-mouse-to-multiple-computers/8da3698c-d593-4ae7-92b8-4c48fd4ec3d0

just to be aware for your testing.
I have issue with DUAL boot (Win/Linux) were windows need to repair of in the meantime got connected to Linux.

I had the same problem with a MS scult confort mouse on an up to date saucy (with gnome-bluetooth=3.8.1-2ubuntu2)

Proposed fix:
 /usr/share/gnome-bluetooth/pin-code-database.xml:
    <device oui="xx:xx:xx:" type="mouse" pin="0000"/>

followed by a reboot didnt helped

But installing blueman as suggested by Centurix is a functionnal workaround for me, i dont have to reassociate anymore it after reboot / suspend

Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-bluetooth - 3.2.2-0ubuntu5.1

---------------
gnome-bluetooth (3.2.2-0ubuntu5.1) precise-proposed; urgency=low

  * debian/patches/99_add_microsoft_mice.patch: add Microsoft Sculpt/Wedge
    mouse (LP: #1094744, LP: #1158462). Thanks, Marcos Barbosa, Anton Anikin
    and Anthony Wong for the patch.
 -- Daniel Holbach <email address hidden> Mon, 05 Aug 2013 10:06:29 +0200

Changed in gnome-bluetooth (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-bluetooth has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-bluetooth - 3.6.0-0ubuntu1.1

---------------
gnome-bluetooth (3.6.0-0ubuntu1.1) quantal-proposed; urgency=low

  * debian/patches/99_add_microsoft_mice.patch: add Microsoft Sculpt/Wedge
    mouse (LP: #1094744, LP: #1158462). Thanks, Marcos Barbosa, Anton Anikin
    and Anthony Wong for the patch.
 -- Daniel Holbach <email address hidden> Mon, 05 Aug 2013 11:05:20 +0200

Changed in gnome-bluetooth (Ubuntu Quantal):
status: Fix Committed → Fix Released
Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in bluez (Ubuntu Quantal):
status: Confirmed → Won't Fix
Rolf Leggewie (r0lf) wrote :

raring has seen the end of its life and is no longer receiving any updates. Marking the raring task for this ticket as "Won't Fix".

Changed in gnome-bluetooth (Ubuntu Raring):
status: Fix Committed → Won't Fix
Rolf Leggewie (r0lf) on 2014-12-05
Changed in bluez (Ubuntu Raring):
status: Confirmed → Won't Fix
Mark Thornton (mthornton-2) wrote :

This problem has reappeared in 15.04 (Vivid Vervet). Symptoms exactly as before.

Marcos Alano (mhalano) wrote :

Mark, can you find the address of your Sculpt mouse using the command bluez-list-devices? If the address prefix is different I need submit a new patch (but I can post a workaround as well).

Download full text (4.2 KiB)

Does this help? Note it is the same mouse that originally gave problems
when this bug first appeared. It is also appearing twice in the list of
devices (there is only one).

Thanks,
Mark

mthornton@mark-PBL21:~$ bluez-list-devices
[ /org/bluez/863/hci0 ]
    Address = 00:02:72:C6:AE:86
    Powered = 1
    UUIDs = 0x1000 0x1000 0x1001 0x1001 0x1112 0x111f 0x111e 0x110c 0x110e
0x110a 0x110b
    Class = 0
    DiscoverableTimeout = 180
    Discovering = 0
    Name = mark-PBL21-1
    PairableTimeout = 0
    Discoverable = 0
    Devices = dev_28_18_78_5D_C1_65
    Pairable = 1
    [ /org/bluez/863/hci0/dev_28_18_78_5D_C1_65 ]
        Address = 28:18:78:5D:C1:65
        Paired = 1
        Version = 0x0129
        UUIDs = 0x1000 0x1124 0x1200
        Product = 0x07a2
        Icon = input-mouse
        Trusted = 1
        Connected = 1
        Vendor = 0x045e
        Adapter = /org/bluez/863/hci0
        Alias = Microsoft Sculpt Comfort Mouse
        Services = dbus.Array([], signature=dbus.Signature('o'),
variant_level=1)
        Class = 0x002580
        Name = Microsoft Sculpt Comfort Mouse
        Blocked = 0

[ /org/bluez/863/hci1 ]
    Address = DC:85:DE:05:4F:6E
    Powered = 1
    UUIDs = 0x1000 0x1001 0x1112 0x111f 0x111e 0x110c 0x110e 0x110a 0x110b
    Class = 0
    DiscoverableTimeout = 180
    Discovering = 0
    Name = mark-PBL21-0
    PairableTimeout = 0
    Discoverable = 0
    Devices = dev_28_18_78_5D_C1_65
    Pairable = 1
    [ /org/bluez/863/hci1/dev_28_18_78_5D_C1_65 ]
        Address = 28:18:78:5D:C1:65
        Paired = 0
        Version = 0x0129
        UUIDs = 0x1000 0x1124 0x1200
        Product = 0x07a2
        Icon = input-mouse
        Trusted = 1
        Connected = 0
        Vendor = 0x045e
        Adapter = /org/bluez/863/hci1
        Alias = Microsoft Sculpt Comfort Mouse
        Services = dbus.Array([], signature=dbus.Signature('o'),
variant_level=1)
        Class = 0x000580
        Name = Microsoft Sculpt Comfort Mouse
        Blocked = 0

On Friday, 15 May 2015, Marcos Alano <email address hidden> wrote:

> Mark, can you find the address of your Sculpt mouse using the command
> bluez-list-devices? If the address prefix is different I need submit a
> new patch (but I can post a workaround as well).
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1094744
>
> Title:
> MS Sculpt Touch Mouse needs to be re-paired periodically
>
> Status in GNOME Bluetooth:
> Fix Released
> Status in bluez package in Ubuntu:
> Confirmed
> Status in gnome-bluetooth package in Ubuntu:
> Fix Released
> Status in bluez source package in Precise:
> Confirmed
> Status in gnome-bluetooth source package in Precise:
> Fix Released
> Status in bluez source package in Quantal:
> Won't Fix
> Status in gnome-bluetooth source package in Quantal:
> Fix Released
> Status in bluez source package in Raring:
> Won't Fix
> Status in gnome-bluetooth source package in Raring:
> Won't Fix
> Status in bluez package in Fedora:
> Unknown
>
> Bug description:
> [Impact] The patch makes Microsoft Wedge/Sculpt Touch mice stay
> connected.
> [Test Case] Get a ...

Read more...

Marcos Alano (mhalano) wrote :
Download full text (7.2 KiB)

Thanks Mark, help me so much. :)

The problem is in the Bluetooth device address: The prefix (which
indicates the manufacturer) is different for your mouse. So the
workaround is add this line in the file
/usr/share/gnome-bluetooth/pin-code-database.xml (close to the Wedge
mouse entrance):
<device oui="28:18:78:" type="mouse" name="Microsoft Sculpt Comfort
Mouse" pin="0000"/>
Restart the system and try again to check if the problem persists. If
work well I will submit a patch for gnome-bluetooth.

Thanks for report this bug. :)

2015-05-15 12:21 GMT-03:00 Mark Thornton <email address hidden>:
> Does this help? Note it is the same mouse that originally gave problems
> when this bug first appeared. It is also appearing twice in the list of
> devices (there is only one).
>
> Thanks,
> Mark
>
> mthornton@mark-PBL21:~$ bluez-list-devices
> [ /org/bluez/863/hci0 ]
> Address = 00:02:72:C6:AE:86
> Powered = 1
> UUIDs = 0x1000 0x1000 0x1001 0x1001 0x1112 0x111f 0x111e 0x110c 0x110e
> 0x110a 0x110b
> Class = 0
> DiscoverableTimeout = 180
> Discovering = 0
> Name = mark-PBL21-1
> PairableTimeout = 0
> Discoverable = 0
> Devices = dev_28_18_78_5D_C1_65
> Pairable = 1
> [ /org/bluez/863/hci0/dev_28_18_78_5D_C1_65 ]
> Address = 28:18:78:5D:C1:65
> Paired = 1
> Version = 0x0129
> UUIDs = 0x1000 0x1124 0x1200
> Product = 0x07a2
> Icon = input-mouse
> Trusted = 1
> Connected = 1
> Vendor = 0x045e
> Adapter = /org/bluez/863/hci0
> Alias = Microsoft Sculpt Comfort Mouse
> Services = dbus.Array([], signature=dbus.Signature('o'),
> variant_level=1)
> Class = 0x002580
> Name = Microsoft Sculpt Comfort Mouse
> Blocked = 0
>
> [ /org/bluez/863/hci1 ]
> Address = DC:85:DE:05:4F:6E
> Powered = 1
> UUIDs = 0x1000 0x1001 0x1112 0x111f 0x111e 0x110c 0x110e 0x110a 0x110b
> Class = 0
> DiscoverableTimeout = 180
> Discovering = 0
> Name = mark-PBL21-0
> PairableTimeout = 0
> Discoverable = 0
> Devices = dev_28_18_78_5D_C1_65
> Pairable = 1
> [ /org/bluez/863/hci1/dev_28_18_78_5D_C1_65 ]
> Address = 28:18:78:5D:C1:65
> Paired = 0
> Version = 0x0129
> UUIDs = 0x1000 0x1124 0x1200
> Product = 0x07a2
> Icon = input-mouse
> Trusted = 1
> Connected = 0
> Vendor = 0x045e
> Adapter = /org/bluez/863/hci1
> Alias = Microsoft Sculpt Comfort Mouse
> Services = dbus.Array([], signature=dbus.Signature('o'),
> variant_level=1)
> Class = 0x000580
> Name = Microsoft Sculpt Comfort Mouse
> Blocked = 0
>
>
> On Friday, 15 May 2015, Marcos Alano <email address hidden> wrote:
>
>> Mark, can you find the address of your Sculpt mouse using the command
>> bluez-list-devices? If the address prefix is different I need submit a
>> new patch (but I can post a workaround as well).
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1094744
>>
>> Title:
>> MS Sculpt Touch Mouse need...

Read more...

Mark Thornton (mthornton-2) wrote :
Download full text (9.9 KiB)

Working (for now). Pairing now survived a reboot.

Thanks,
Mark

On Friday, 15 May 2015, Marcos Alano <email address hidden> wrote:

> Thanks Mark, help me so much. :)
>
> The problem is in the Bluetooth device address: The prefix (which
> indicates the manufacturer) is different for your mouse. So the
> workaround is add this line in the file
> /usr/share/gnome-bluetooth/pin-code-database.xml (close to the Wedge
> mouse entrance):
> <device oui="28:18:78:" type="mouse" name="Microsoft Sculpt Comfort
> Mouse" pin="0000"/>
> Restart the system and try again to check if the problem persists. If
> work well I will submit a patch for gnome-bluetooth.
>
> Thanks for report this bug. :)
>
>
> 2015-05-15 12:21 GMT-03:00 Mark Thornton <<email address hidden>
> <javascript:;>>:
> > Does this help? Note it is the same mouse that originally gave problems
> > when this bug first appeared. It is also appearing twice in the list of
> > devices (there is only one).
> >
> > Thanks,
> > Mark
> >
> > mthornton@mark-PBL21:~$ bluez-list-devices
> > [ /org/bluez/863/hci0 ]
> > Address = 00:02:72:C6:AE:86
> > Powered = 1
> > UUIDs = 0x1000 0x1000 0x1001 0x1001 0x1112 0x111f 0x111e 0x110c
> 0x110e
> > 0x110a 0x110b
> > Class = 0
> > DiscoverableTimeout = 180
> > Discovering = 0
> > Name = mark-PBL21-1
> > PairableTimeout = 0
> > Discoverable = 0
> > Devices = dev_28_18_78_5D_C1_65
> > Pairable = 1
> > [ /org/bluez/863/hci0/dev_28_18_78_5D_C1_65 ]
> > Address = 28:18:78:5D:C1:65
> > Paired = 1
> > Version = 0x0129
> > UUIDs = 0x1000 0x1124 0x1200
> > Product = 0x07a2
> > Icon = input-mouse
> > Trusted = 1
> > Connected = 1
> > Vendor = 0x045e
> > Adapter = /org/bluez/863/hci0
> > Alias = Microsoft Sculpt Comfort Mouse
> > Services = dbus.Array([], signature=dbus.Signature('o'),
> > variant_level=1)
> > Class = 0x002580
> > Name = Microsoft Sculpt Comfort Mouse
> > Blocked = 0
> >
> > [ /org/bluez/863/hci1 ]
> > Address = DC:85:DE:05:4F:6E
> > Powered = 1
> > UUIDs = 0x1000 0x1001 0x1112 0x111f 0x111e 0x110c 0x110e 0x110a
> 0x110b
> > Class = 0
> > DiscoverableTimeout = 180
> > Discovering = 0
> > Name = mark-PBL21-0
> > PairableTimeout = 0
> > Discoverable = 0
> > Devices = dev_28_18_78_5D_C1_65
> > Pairable = 1
> > [ /org/bluez/863/hci1/dev_28_18_78_5D_C1_65 ]
> > Address = 28:18:78:5D:C1:65
> > Paired = 0
> > Version = 0x0129
> > UUIDs = 0x1000 0x1124 0x1200
> > Product = 0x07a2
> > Icon = input-mouse
> > Trusted = 1
> > Connected = 0
> > Vendor = 0x045e
> > Adapter = /org/bluez/863/hci1
> > Alias = Microsoft Sculpt Comfort Mouse
> > Services = dbus.Array([], signature=dbus.Signature('o'),
> > variant_level=1)
> > Class = 0x000580
> > Name = Microsoft Sculpt Comfort Mouse
> > Blocked = 0
> >
> >
> > On Friday, 15 May 2015, Marcos Alano <<email address hidden>
> <javascript:;>> wrote:
> >
> >> Mark, can you find the addre...

Marcos Alano (mhalano) wrote :
Download full text (12.5 KiB)

I submitted a patch for gnome-bluetooth to add the address of your
device in the PIN DB.

2015-05-15 13:19 GMT-03:00 Mark Thornton <email address hidden>:
> Working (for now). Pairing now survived a reboot.
>
> Thanks,
> Mark
>
> On Friday, 15 May 2015, Marcos Alano <email address hidden> wrote:
>
>> Thanks Mark, help me so much. :)
>>
>> The problem is in the Bluetooth device address: The prefix (which
>> indicates the manufacturer) is different for your mouse. So the
>> workaround is add this line in the file
>> /usr/share/gnome-bluetooth/pin-code-database.xml (close to the Wedge
>> mouse entrance):
>> <device oui="28:18:78:" type="mouse" name="Microsoft Sculpt Comfort
>> Mouse" pin="0000"/>
>> Restart the system and try again to check if the problem persists. If
>> work well I will submit a patch for gnome-bluetooth.
>>
>> Thanks for report this bug. :)
>>
>>
>> 2015-05-15 12:21 GMT-03:00 Mark Thornton <<email address hidden>
>> <javascript:;>>:
>> > Does this help? Note it is the same mouse that originally gave problems
>> > when this bug first appeared. It is also appearing twice in the list of
>> > devices (there is only one).
>> >
>> > Thanks,
>> > Mark
>> >
>> > mthornton@mark-PBL21:~$ bluez-list-devices
>> > [ /org/bluez/863/hci0 ]
>> > Address = 00:02:72:C6:AE:86
>> > Powered = 1
>> > UUIDs = 0x1000 0x1000 0x1001 0x1001 0x1112 0x111f 0x111e 0x110c
>> 0x110e
>> > 0x110a 0x110b
>> > Class = 0
>> > DiscoverableTimeout = 180
>> > Discovering = 0
>> > Name = mark-PBL21-1
>> > PairableTimeout = 0
>> > Discoverable = 0
>> > Devices = dev_28_18_78_5D_C1_65
>> > Pairable = 1
>> > [ /org/bluez/863/hci0/dev_28_18_78_5D_C1_65 ]
>> > Address = 28:18:78:5D:C1:65
>> > Paired = 1
>> > Version = 0x0129
>> > UUIDs = 0x1000 0x1124 0x1200
>> > Product = 0x07a2
>> > Icon = input-mouse
>> > Trusted = 1
>> > Connected = 1
>> > Vendor = 0x045e
>> > Adapter = /org/bluez/863/hci0
>> > Alias = Microsoft Sculpt Comfort Mouse
>> > Services = dbus.Array([], signature=dbus.Signature('o'),
>> > variant_level=1)
>> > Class = 0x002580
>> > Name = Microsoft Sculpt Comfort Mouse
>> > Blocked = 0
>> >
>> > [ /org/bluez/863/hci1 ]
>> > Address = DC:85:DE:05:4F:6E
>> > Powered = 1
>> > UUIDs = 0x1000 0x1001 0x1112 0x111f 0x111e 0x110c 0x110e 0x110a
>> 0x110b
>> > Class = 0
>> > DiscoverableTimeout = 180
>> > Discovering = 0
>> > Name = mark-PBL21-0
>> > PairableTimeout = 0
>> > Discoverable = 0
>> > Devices = dev_28_18_78_5D_C1_65
>> > Pairable = 1
>> > [ /org/bluez/863/hci1/dev_28_18_78_5D_C1_65 ]
>> > Address = 28:18:78:5D:C1:65
>> > Paired = 0
>> > Version = 0x0129
>> > UUIDs = 0x1000 0x1124 0x1200
>> > Product = 0x07a2
>> > Icon = input-mouse
>> > Trusted = 1
>> > Connected = 0
>> > Vendor = 0x045e
>> > Adapter = /org/bluez/863/hci1
>> > Alias = Microsoft Sculpt Comfort Mouse
>> > Services = dbus.Array([], signature=dbus.Signature('o'),
>> > var...

I have the Sculpt Comfort Bluetooth mouse as well (model H3S-00003), and the connection is not surviving suspends or reboots on Vivid (15.04). To fix, I need to:

1. Put the mouse into pairing mode (holding the bottom button).
2. Go to the Bluetooth setting for the mouse and activate the "Connection" switch.

This _always_ works. Simply trying to connect by activating the "Connection" switch _never_ works.

I've tried adding the following line to "/usr/share/gnome-bluetooth/pin-code-database.xml":

<device oui="30:59:B7:" type="mouse" name="Microsoft Sculpt Comfort Mouse" pin="0000"/>

Because this information appears in "bluez-list-devices":

[ /org/bluez/661/hci0 ]
    Devices = dev_30_59_B7_73_B6_C6
    UUIDs = 0x1000 0x1001 0x112d 0x1112 0x111f 0x111e 0x110c 0x110e 0x110a 0x110b
    Address = C4:17:FE:EF:D8:A4
    Name = ubuntu-0
    Powered = 1
    Class = 0
    Pairable = 1
    Discoverable = 0
    DiscoverableTimeout = 180
    PairableTimeout = 0
    Discovering = 0
    [ /org/bluez/661/hci0/dev_30_59_B7_73_B6_C6 ]
        UUIDs = 0x1000 0x1124 0x1200
        Address = 30:59:B7:73:B6:C6
        Name = Microsoft Sculpt Comfort Mouse
        Icon = input-mouse
        Connected = 0
        Paired = 0
        Alias = Microsoft Sculpt Comfort Mouse
        Adapter = /org/bluez/661/hci0
        Trusted = 1
        Version = 0x0129
        Blocked = 0
        Vendor = 0x045e
        Product = 0x07a2
        Class = 0x000580
        Services = dbus.Array([], signature=dbus.Signature('o'), variant_level=1)

But the connection is still lost after a reboot or suspend, and I still need to put it into pairing mode to connect.

Any help is appreciated.

Marcos Alano (mhalano) wrote :
Download full text (4.3 KiB)

David,

Please connect and pair the mouse. After that execute
"bluez-list-devices". If you check the lines:
Connected = 0
Paired = 0
You'll see the mouse is not even connected. The address is the same as
computer Bluetooth adapter so probably because that the line you put
in the file is wrong.

Cheers.

2015-05-17 15:32 GMT-03:00 David Cesarino de Sousa <email address hidden>:
> I have the Sculpt Comfort Bluetooth mouse as well (model H3S-00003), and
> the connection is not surviving suspends or reboots on Vivid (15.04). To
> fix, I need to:
>
> 1. Put the mouse into pairing mode (holding the bottom button).
> 2. Go to the Bluetooth setting for the mouse and activate the "Connection" switch.
>
> This _always_ works. Simply trying to connect by activating the
> "Connection" switch _never_ works.
>
> I've tried adding the following line to "/usr/share/gnome-bluetooth/pin-
> code-database.xml":
>
> <device oui="30:59:B7:" type="mouse" name="Microsoft Sculpt Comfort
> Mouse" pin="0000"/>
>
> Because this information appears in "bluez-list-devices":
>
> [ /org/bluez/661/hci0 ]
> Devices = dev_30_59_B7_73_B6_C6
> UUIDs = 0x1000 0x1001 0x112d 0x1112 0x111f 0x111e 0x110c 0x110e 0x110a 0x110b
> Address = C4:17:FE:EF:D8:A4
> Name = ubuntu-0
> Powered = 1
> Class = 0
> Pairable = 1
> Discoverable = 0
> DiscoverableTimeout = 180
> PairableTimeout = 0
> Discovering = 0
> [ /org/bluez/661/hci0/dev_30_59_B7_73_B6_C6 ]
> UUIDs = 0x1000 0x1124 0x1200
> Address = 30:59:B7:73:B6:C6
> Name = Microsoft Sculpt Comfort Mouse
> Icon = input-mouse
> Connected = 0
> Paired = 0
> Alias = Microsoft Sculpt Comfort Mouse
> Adapter = /org/bluez/661/hci0
> Trusted = 1
> Version = 0x0129
> Blocked = 0
> Vendor = 0x045e
> Product = 0x07a2
> Class = 0x000580
> Services = dbus.Array([], signature=dbus.Signature('o'), variant_level=1)
>
> But the connection is still lost after a reboot or suspend, and I still
> need to put it into pairing mode to connect.
>
> Any help is appreciated.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1094744
>
> Title:
> MS Sculpt Touch Mouse needs to be re-paired periodically
>
> Status in GNOME Bluetooth:
> Fix Released
> Status in bluez package in Ubuntu:
> Confirmed
> Status in gnome-bluetooth package in Ubuntu:
> Fix Released
> Status in bluez source package in Precise:
> Confirmed
> Status in gnome-bluetooth source package in Precise:
> Fix Released
> Status in bluez source package in Quantal:
> Won't Fix
> Status in gnome-bluetooth source package in Quantal:
> Fix Released
> Status in bluez source package in Raring:
> Won't Fix
> Status in gnome-bluetooth source package in Raring:
> Won't Fix
> Status in bluez package in Fedora:
> Unknown
>
> Bug description:
> [Impact] The patch makes Microsoft Wedge/Sculpt Touch mice stay connected.
> [Test Case] Get a Microsoft Wedge/Sculpt Touch mouse, pair it, restart session, watch it automatically re-pair.
> [Regression Pot...

Read more...

Marcos, thanks for your help.

That output was to show that the mouse unpairs after a suspend/reboot. If I follow the two steps I said before, I get the correct, expected status (paired), and I can move my mouse. See relevant output now that it is connected:

[ /org/bluez/663/hci0 ]
    Discovering = 0
    UUIDs = 0x1000 0x1001 0x112d 0x1112 0x111f 0x111e 0x110c 0x110e 0x110a 0x110b
    Pairable = 1
    PairableTimeout = 0
    DiscoverableTimeout = 180
    Name = zurg-0
    Class = 0
    Address = C4:17:FE:EF:D8:A4
    Powered = 1
    Discoverable = 0
    Devices = dev_30_59_B7_73_B6_C6
    [ /org/bluez/663/hci0/dev_30_59_B7_73_B6_C6 ]
        Paired = 1
        Vendor = 0x045e
        Services = dbus.Array([], signature=dbus.Signature('o'), variant_level=1)
        Trusted = 1
        Class = 0x002580
        Address = 30:59:B7:73:B6:C6
        Adapter = /org/bluez/663/hci0
        Version = 0x0129
        UUIDs = 0x1000 0x1124 0x1200
        Blocked = 0
        Icon = input-mouse
        Name = Microsoft Sculpt Comfort Mouse
        Connected = 1
        Alias = Microsoft Sculpt Comfort Mouse
        Product = 0x07a2

The file currently reads this in the Microsoft mice section of the XML (I've tried with name as well):

<!-- Microsoft mice
      Again, same as above -->
 <device oui="30:59:B7:" type="mouse" pin="0000"/>
 <device oui="7C:1E:52:" type="mouse" name="Microsoft Wedge Touch Mouse" pin="0000"/>
 <device oui="00:1D:D8:" type="mouse" name="Microsoft Wireless Notebook Presenter Mouse 8000" pin="0000"/>

It still unpairs after a reboot or suspend. Changing to the adapter address (oui="C4:17:FE:") does not make any difference. As you can see, I can reconnect/repair, but I'd like it to be automatic.

Sorry if I wasn't clear enough. Thank you.

After rebooting and still having the problem no matter which line combination (device or adapter oui, with or without name) in the xml file I used, I rebooted and tried this command I saw in the BluetoothSetup community help wiki page:

sudo bluez-test-device trusted 30:59:B7:73:B6:C6 yes

Now it is working. I even removed the lines I had added in the XML, rebooted, and it is still working, so I'm crediting the solution to the above command even though I don't fully understand why it is working when bluez-list-devices had the device as trusted as well. Maybe because I used sudo, I don't know.

Ideally, I'd have a clean Ubuntu installation and do just that to make sure I only needed that, but I'll leave that for another time.

Marcos Alano (mhalano) wrote :
Download full text (4.3 KiB)

Sorry for this problem. The address "30:59:B7:" seems correct. Can you
check the batteries? That is a long shot, but may be can be the
problem.

2015-05-17 19:12 GMT-03:00 David Cesarino de Sousa <email address hidden>:
> Marcos, thanks for your help.
>
> That output was to show that the mouse unpairs after a suspend/reboot.
> If I follow the two steps I said before, I get the correct, expected
> status (paired), and I can move my mouse. See relevant output now that
> it is connected:
>
> [ /org/bluez/663/hci0 ]
> Discovering = 0
> UUIDs = 0x1000 0x1001 0x112d 0x1112 0x111f 0x111e 0x110c 0x110e 0x110a 0x110b
> Pairable = 1
> PairableTimeout = 0
> DiscoverableTimeout = 180
> Name = zurg-0
> Class = 0
> Address = C4:17:FE:EF:D8:A4
> Powered = 1
> Discoverable = 0
> Devices = dev_30_59_B7_73_B6_C6
> [ /org/bluez/663/hci0/dev_30_59_B7_73_B6_C6 ]
> Paired = 1
> Vendor = 0x045e
> Services = dbus.Array([], signature=dbus.Signature('o'), variant_level=1)
> Trusted = 1
> Class = 0x002580
> Address = 30:59:B7:73:B6:C6
> Adapter = /org/bluez/663/hci0
> Version = 0x0129
> UUIDs = 0x1000 0x1124 0x1200
> Blocked = 0
> Icon = input-mouse
> Name = Microsoft Sculpt Comfort Mouse
> Connected = 1
> Alias = Microsoft Sculpt Comfort Mouse
> Product = 0x07a2
>
> The file currently reads this in the Microsoft mice section of the XML
> (I've tried with name as well):
>
> <!-- Microsoft mice
> Again, same as above -->
> <device oui="30:59:B7:" type="mouse" pin="0000"/>
> <device oui="7C:1E:52:" type="mouse" name="Microsoft Wedge Touch Mouse" pin="0000"/>
> <device oui="00:1D:D8:" type="mouse" name="Microsoft Wireless Notebook Presenter Mouse 8000" pin="0000"/>
>
> It still unpairs after a reboot or suspend. Changing to the adapter
> address (oui="C4:17:FE:") does not make any difference. As you can see,
> I can reconnect/repair, but I'd like it to be automatic.
>
> Sorry if I wasn't clear enough. Thank you.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1094744
>
> Title:
> MS Sculpt Touch Mouse needs to be re-paired periodically
>
> Status in GNOME Bluetooth:
> Fix Released
> Status in bluez package in Ubuntu:
> Confirmed
> Status in gnome-bluetooth package in Ubuntu:
> Fix Released
> Status in bluez source package in Precise:
> Confirmed
> Status in gnome-bluetooth source package in Precise:
> Fix Released
> Status in bluez source package in Quantal:
> Won't Fix
> Status in gnome-bluetooth source package in Quantal:
> Fix Released
> Status in bluez source package in Raring:
> Won't Fix
> Status in gnome-bluetooth source package in Raring:
> Won't Fix
> Status in bluez package in Fedora:
> Unknown
>
> Bug description:
> [Impact] The patch makes Microsoft Wedge/Sculpt Touch mice stay connected.
> [Test Case] Get a Microsoft Wedge/Sculpt Touch mouse, pair it, restart session, watch it automatically re-pair.
> [Regression Potential] Little. The patched piec...

Read more...

Marcos Alano (mhalano) wrote :
Download full text (4.7 KiB)

Ok. Please do more tests in a clean installation and let us know about
the results.

Cheers.

2015-05-17 19:47 GMT-03:00 Marcos Alano <email address hidden>:
> Sorry for this problem. The address "30:59:B7:" seems correct. Can you
> check the batteries? That is a long shot, but may be can be the
> problem.
>
> 2015-05-17 19:12 GMT-03:00 David Cesarino de Sousa <email address hidden>:
>> Marcos, thanks for your help.
>>
>> That output was to show that the mouse unpairs after a suspend/reboot.
>> If I follow the two steps I said before, I get the correct, expected
>> status (paired), and I can move my mouse. See relevant output now that
>> it is connected:
>>
>> [ /org/bluez/663/hci0 ]
>> Discovering = 0
>> UUIDs = 0x1000 0x1001 0x112d 0x1112 0x111f 0x111e 0x110c 0x110e 0x110a 0x110b
>> Pairable = 1
>> PairableTimeout = 0
>> DiscoverableTimeout = 180
>> Name = zurg-0
>> Class = 0
>> Address = C4:17:FE:EF:D8:A4
>> Powered = 1
>> Discoverable = 0
>> Devices = dev_30_59_B7_73_B6_C6
>> [ /org/bluez/663/hci0/dev_30_59_B7_73_B6_C6 ]
>> Paired = 1
>> Vendor = 0x045e
>> Services = dbus.Array([], signature=dbus.Signature('o'), variant_level=1)
>> Trusted = 1
>> Class = 0x002580
>> Address = 30:59:B7:73:B6:C6
>> Adapter = /org/bluez/663/hci0
>> Version = 0x0129
>> UUIDs = 0x1000 0x1124 0x1200
>> Blocked = 0
>> Icon = input-mouse
>> Name = Microsoft Sculpt Comfort Mouse
>> Connected = 1
>> Alias = Microsoft Sculpt Comfort Mouse
>> Product = 0x07a2
>>
>> The file currently reads this in the Microsoft mice section of the XML
>> (I've tried with name as well):
>>
>> <!-- Microsoft mice
>> Again, same as above -->
>> <device oui="30:59:B7:" type="mouse" pin="0000"/>
>> <device oui="7C:1E:52:" type="mouse" name="Microsoft Wedge Touch Mouse" pin="0000"/>
>> <device oui="00:1D:D8:" type="mouse" name="Microsoft Wireless Notebook Presenter Mouse 8000" pin="0000"/>
>>
>> It still unpairs after a reboot or suspend. Changing to the adapter
>> address (oui="C4:17:FE:") does not make any difference. As you can see,
>> I can reconnect/repair, but I'd like it to be automatic.
>>
>> Sorry if I wasn't clear enough. Thank you.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1094744
>>
>> Title:
>> MS Sculpt Touch Mouse needs to be re-paired periodically
>>
>> Status in GNOME Bluetooth:
>> Fix Released
>> Status in bluez package in Ubuntu:
>> Confirmed
>> Status in gnome-bluetooth package in Ubuntu:
>> Fix Released
>> Status in bluez source package in Precise:
>> Confirmed
>> Status in gnome-bluetooth source package in Precise:
>> Fix Released
>> Status in bluez source package in Quantal:
>> Won't Fix
>> Status in gnome-bluetooth source package in Quantal:
>> Fix Released
>> Status in bluez source package in Raring:
>> Won't Fix
>> Status in gnome-bluetooth source package in Raring:
>> Won't Fix
>> Status in bluez package in Fedora:
>> Unknown
>>
>> Bug descripti...

Read more...

I stand by what I said before. After that comment, I did only these four steps:

1. Install Ubuntu on a clean partition.
2. Pair and connect using the Bluetooth UI in the Ubuntu desktop (BT icon → Bluetooth Settings). In other words, use normally.
3. Immediately (not sure if it makes any difference), list the device address using bluez-list-devices (see output at the end).
4. Issue the following command:

sudo bluez-test-device trusted 30:59:B7:73:B6:C6 yes

Done. It works indefinitely. I can confirm that.

The output of bluez-list-devices:

[ /org/bluez/776/hci0 ]
   …
   Address = C4:17:FE:(hidden)
   …
   Devices = dev_30_59_B7_73_B6_C6
   …
   [ /org/bluez/776/hci0/dev_30_59_B7_73_B6_C6 ]
        Product = 0x07a2
        Services = dbus.Array([], signature=dbus.Signature('o'), variant_level=1)
        Class = 0x000580
        Alias = Microsoft Sculpt Comfort Mouse
        Icon = input-mouse
        Blocked = 0
        Connected = 1
        Address = 30:59:B7:73:B6:C6
        Version = 0x0129
        UUIDs = 0x1000 0x1124 0x1200
        Name = Microsoft Sculpt Comfort Mouse
        Adapter = /org/bluez/776/hci0
        Trusted = 1
        Vendor = 0x045e
        Paired = 1

I still have a few problems with the mouse wheel (sometimes it stops working briefly). Also, the connection takes 3 to 5 seconds to reestablish (perceptible after returning from a suspend), but other than that it works fine, and, most importantly, the connection is kept between reboots and suspends.

Rael Gugelmin Cunha (rael-gc) wrote :

On 14.04 LTS, bought one of this, and I'm facing this issue.

Marcos Alano (mhalano) wrote :

Did you try add the OUI for your mouse in
/usr/share/gnome-bluetooth/pin-code-database.xml? I thinks there is
many differents OUIs for this model.

PS.: Post your OUI here so I can create and send a patch.

2015-09-05 18:19 GMT-03:00 Rael <email address hidden>:
> On 14.04 LTS, bought one of this, and I'm facing this issue.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1094744
>
> Title:
> MS Sculpt Touch Mouse needs to be re-paired periodically
>
> Status in GNOME Bluetooth:
> Fix Released
> Status in bluez package in Ubuntu:
> Confirmed
> Status in gnome-bluetooth package in Ubuntu:
> Fix Released
> Status in bluez source package in Precise:
> Confirmed
> Status in gnome-bluetooth source package in Precise:
> Fix Released
> Status in bluez source package in Quantal:
> Won't Fix
> Status in gnome-bluetooth source package in Quantal:
> Fix Released
> Status in bluez source package in Raring:
> Won't Fix
> Status in gnome-bluetooth source package in Raring:
> Won't Fix
> Status in bluez package in Fedora:
> Unknown
>
> Bug description:
> [Impact] The patch makes Microsoft Wedge/Sculpt Touch mice stay connected.
> [Test Case] Get a Microsoft Wedge/Sculpt Touch mouse, pair it, restart session, watch it automatically re-pair.
> [Regression Potential] Little. The patched piece of XML is only relevant to hardware having the same ID.
>
> When you don't use the mouse for a long enough time, the mouse
> disconnects and won't reconnect. I have to go into bluetooth settings,
> remove it, and re-pair it.
>
> 1)
> ~ % lsb_release -rd
> Description: Ubuntu 12.04.1 LTS
> Release: 12.04
>
> 2)
> ~ % apt-cache policy bluez
> bluez:
> Installed: 4.98-2ubuntu7
> Candidate: 4.98-2ubuntu7
> Version table:
> *** 4.98-2ubuntu7 0
> 500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
> 100 /var/lib/dpkg/status
>
> 3)
> I expected the mouse to reconnect automatically, or at least after I try to reconnect manually through the bluetooth settings.
>
> 4)
> I have to re-pair the mouse in order to use it again. Turning the mouse off and on doesn't work either.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-bluetooth/+bug/1094744/+subscriptions

--
Marcos Alano
----------------------------------------------
P: Por que este email é tão curto?
R: http://five.sentenc.es
----------------------------------------------

Hi Marcos,

I did a clean install of 15.10 yesterday, so I also used that opportunity to test this issue. In short, pairing using the user interface still did not work, but adding the OUI to the XML file was enough to persist the connection across reboots and suspends. No need to use the command line foo I did in #59.

To be fully precise, this is what I did:

1. Clean install Ubuntu 15.10.
2. Pair using the bluetooth icon in the top right at the desktop.
3. Try suspend or reboot. It did not work (connection even refused to set up without removing and adding the device again).
4. Added the OUI to the XML file as this, under the Microsoft Mice section:

<device oui="30:59:B7:" pin="0000"/>

5. Reboot.

After this, the connection is now persisting across reboots and suspends. It would be nice for other users if they didn't need to edit the XML and the user interface did all that was needed automatically, but I'm satisfied it works easily now.

Cheers.

Marcos Alano (mhalano) wrote :
Download full text (3.3 KiB)

Thanks David.

I will check this and create and submit a patch.

Cheers.

2015-10-23 15:49 GMT-02:00 David Cesarino de Sousa <email address hidden>:
> Hi Marcos,
>
> I did a clean install of 15.10 yesterday, so I also used that
> opportunity to test this issue. In short, pairing using the user
> interface still did not work, but adding the OUI to the XML file was
> enough to persist the connection across reboots and suspends. No need to
> use the command line foo I did in #59.
>
> To be fully precise, this is what I did:
>
> 1. Clean install Ubuntu 15.10.
> 2. Pair using the bluetooth icon in the top right at the desktop.
> 3. Try suspend or reboot. It did not work (connection even refused to set up without removing and adding the device again).
> 4. Added the OUI to the XML file as this, under the Microsoft Mice section:
>
> <device oui="30:59:B7:" pin="0000"/>
>
> 5. Reboot.
>
> After this, the connection is now persisting across reboots and
> suspends. It would be nice for other users if they didn't need to edit
> the XML and the user interface did all that was needed automatically,
> but I'm satisfied it works easily now.
>
> Cheers.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1094744
>
> Title:
> MS Sculpt Touch Mouse needs to be re-paired periodically
>
> Status in GNOME Bluetooth:
> Fix Released
> Status in bluez package in Ubuntu:
> Confirmed
> Status in gnome-bluetooth package in Ubuntu:
> Fix Released
> Status in bluez source package in Precise:
> Confirmed
> Status in gnome-bluetooth source package in Precise:
> Fix Released
> Status in bluez source package in Quantal:
> Won't Fix
> Status in gnome-bluetooth source package in Quantal:
> Fix Released
> Status in bluez source package in Raring:
> Won't Fix
> Status in gnome-bluetooth source package in Raring:
> Won't Fix
> Status in bluez package in Fedora:
> Unknown
>
> Bug description:
> [Impact] The patch makes Microsoft Wedge/Sculpt Touch mice stay connected.
> [Test Case] Get a Microsoft Wedge/Sculpt Touch mouse, pair it, restart session, watch it automatically re-pair.
> [Regression Potential] Little. The patched piece of XML is only relevant to hardware having the same ID.
>
> When you don't use the mouse for a long enough time, the mouse
> disconnects and won't reconnect. I have to go into bluetooth settings,
> remove it, and re-pair it.
>
> 1)
> ~ % lsb_release -rd
> Description: Ubuntu 12.04.1 LTS
> Release: 12.04
>
> 2)
> ~ % apt-cache policy bluez
> bluez:
> Installed: 4.98-2ubuntu7
> Candidate: 4.98-2ubuntu7
> Version table:
> *** 4.98-2ubuntu7 0
> 500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
> 100 /var/lib/dpkg/status
>
> 3)
> I expected the mouse to reconnect automatically, or at least after I try to reconnect manually through the bluetooth settings.
>
> 4)
> I have to re-pair the mouse in order to use it again. Turning the mouse off and on doesn't work either.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-bluetooth/+bug/1094...

Read more...

Marcos Alano (mhalano) wrote :
Download full text (3.8 KiB)

Hi David,

In the version 3.18 of gnome-bluetooth this OUI is already added. May
be someone could backport the patch?

2015-10-23 16:04 GMT-02:00 Marcos Alano <email address hidden>:
> Thanks David.
>
> I will check this and create and submit a patch.
>
> Cheers.
>
> 2015-10-23 15:49 GMT-02:00 David Cesarino de Sousa <email address hidden>:
>> Hi Marcos,
>>
>> I did a clean install of 15.10 yesterday, so I also used that
>> opportunity to test this issue. In short, pairing using the user
>> interface still did not work, but adding the OUI to the XML file was
>> enough to persist the connection across reboots and suspends. No need to
>> use the command line foo I did in #59.
>>
>> To be fully precise, this is what I did:
>>
>> 1. Clean install Ubuntu 15.10.
>> 2. Pair using the bluetooth icon in the top right at the desktop.
>> 3. Try suspend or reboot. It did not work (connection even refused to set up without removing and adding the device again).
>> 4. Added the OUI to the XML file as this, under the Microsoft Mice section:
>>
>> <device oui="30:59:B7:" pin="0000"/>
>>
>> 5. Reboot.
>>
>> After this, the connection is now persisting across reboots and
>> suspends. It would be nice for other users if they didn't need to edit
>> the XML and the user interface did all that was needed automatically,
>> but I'm satisfied it works easily now.
>>
>> Cheers.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1094744
>>
>> Title:
>> MS Sculpt Touch Mouse needs to be re-paired periodically
>>
>> Status in GNOME Bluetooth:
>> Fix Released
>> Status in bluez package in Ubuntu:
>> Confirmed
>> Status in gnome-bluetooth package in Ubuntu:
>> Fix Released
>> Status in bluez source package in Precise:
>> Confirmed
>> Status in gnome-bluetooth source package in Precise:
>> Fix Released
>> Status in bluez source package in Quantal:
>> Won't Fix
>> Status in gnome-bluetooth source package in Quantal:
>> Fix Released
>> Status in bluez source package in Raring:
>> Won't Fix
>> Status in gnome-bluetooth source package in Raring:
>> Won't Fix
>> Status in bluez package in Fedora:
>> Unknown
>>
>> Bug description:
>> [Impact] The patch makes Microsoft Wedge/Sculpt Touch mice stay connected.
>> [Test Case] Get a Microsoft Wedge/Sculpt Touch mouse, pair it, restart session, watch it automatically re-pair.
>> [Regression Potential] Little. The patched piece of XML is only relevant to hardware having the same ID.
>>
>> When you don't use the mouse for a long enough time, the mouse
>> disconnects and won't reconnect. I have to go into bluetooth settings,
>> remove it, and re-pair it.
>>
>> 1)
>> ~ % lsb_release -rd
>> Description: Ubuntu 12.04.1 LTS
>> Release: 12.04
>>
>> 2)
>> ~ % apt-cache policy bluez
>> bluez:
>> Installed: 4.98-2ubuntu7
>> Candidate: 4.98-2ubuntu7
>> Version table:
>> *** 4.98-2ubuntu7 0
>> 500 http://us.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
>> 100 /var/lib/dpkg/status
>>
>> 3)
>> I expected the mouse to reconnect automatically, or at least after I tr...

Read more...

You're welcome. I'm very glad the situation improved.

As you can see, I didn't try to filter by type=mouse or name tags, and was quite generic. It was my first idea, but I'm inclined to believe it wouldn't matter anyway as the more precise filter would still capture the device just as well.

Best regards.

Mark Thornton (mthornton-2) wrote :

Can we please get the extra devices into the pin code database.

 <device oui="28:18:78:" name="Microsoft Sculpt Comfort Mouse" pin="0000"/>

is still missing in 15.10 (Wily). It is tedious to fix this every 6 months or so.

Marcos Alano (mhalano) wrote :

Mark,

I fixed this bug in may 2015: https://bugzilla.gnome.org/show_bug.cgi?id=749443

Version 3.16 (used in Ubuntu 15.10 (Wily) didn't come with the patch and no one backported.

Version 3.18 (used in Ubuntu 16.04 (Xenial) come with the patch.

Best regards and sorry for any trouble.

This is still occurring for me in 16.04 Xenial for me. I've tried both Ubuntu and Ubuntu Mate. Works in Arch Linux on same machine.

... at least on Ubuntu Mate 16.04 which uses blueman

nathan (nathan95-b) on 2016-06-05
Changed in blueman (Ubuntu Quantal):
status: New → Invalid
Changed in blueman (Ubuntu Raring):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in blueman (Ubuntu Precise):
status: New → Confirmed
Changed in blueman (Ubuntu):
status: New → Confirmed
lazygun37 (c-knigge) wrote :

Also still affects me on Ubuntu 16.04.

I can confirm that what I said before isn't valid anymore. What appeared to be fixed in 15.10 has resurfaced in 16.04, and now I can't fix it even by myself.

Oh well... I just gave up on suspending.

Marcos Alano (mhalano) wrote :

How the status of this problem on a clean system with Ubuntu 16.04 or 16.10 or even 17.04?

Changed in bluez (Fedora):
importance: Unknown → Medium
status: Unknown → Won't Fix
tags: added: xenial
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.